package gitea

import (
	"net/url"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestJoinURL(t *testing.T) {
	baseURL, _ := url.Parse("")
	u := joinURL(baseURL)
	assert.EqualValues(t, "", u)

	u = joinURL(baseURL, "", "")
	assert.EqualValues(t, "", u)

	baseURL, _ = url.Parse("http://wwow.url.com")
	u = joinURL(baseURL, "a", "b/c/", "d")
	assert.EqualValues(t, "http://wwow.url.com/a/b/c/d", u)
}
